Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509790 - fc-query is generating weird 'id 0' Provides on fonts
Summary: fc-query is generating weird 'id 0' Provides on fonts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fontconfig
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-06 04:39 UTC by Neal Gompa
Modified: 2017-11-15 20:18 UTC (History)
13 users (show)

Fixed In Version: fontconfig-2.12.6-4.fc27 fontconfig-2.12.6-4.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-15 17:47:36 UTC


Attachments (Terms of Use)

Description Neal Gompa 2017-11-06 04:39:25 UTC
Description of problem:
When I use fc-query to query a font, I get a weird item "id 0" in the list of things returned back from fc-query.

This is screwing up dependency generation for new font packages, which get an annoyingly awful "Provides: 0" added to the package.

Version-Release number of selected component (if applicable):
2.12.6-3.fc26

How reproducible:
Always

Steps to Reproduce:
1. Install google-noto-sans-fonts (or any other TrueType/OpenType font package)
2. Run "fc-query --format '%{=pkgkit}' /usr/share/fonts/google-noto/NotoSans-Regular.ttf" (or your preferred fonts)

Actual results:
[~]$ fc-query --format '%{=pkgkit}' /usr/share/fonts/google-noto/NotoSans-Regular.ttf
id 0
font(notosans)
font(:lang=aa)
...

Expected results:
[~]$ fc-query --format '%{=pkgkit}' /usr/share/fonts/google-noto/NotoSans-Regular.ttf
font(notosans)
font(:lang=aa)
...

Additional info:

This doesn't occur in RHEL 7 (fontconfig-2.10.95-11.el7) nor openSUSE Leap 42.2 (fontconfig-2.11.1-2.2) nor Fedora 25 (fontconfig-2.12.1-1.fc25), but occurs in Fedora 26 and newer.

Comment 1 Fedora Update System 2017-11-08 09:49:15 UTC
fontconfig-2.12.6-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8504f131e1

Comment 2 Fedora Update System 2017-11-08 09:49:29 UTC
fontconfig-2.12.6-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b64411ea63

Comment 3 Fedora Update System 2017-11-08 20:31:40 UTC
fontconfig-2.12.6-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b64411ea63

Comment 4 Fedora Update System 2017-11-08 23:58:03 UTC
fontconfig-2.12.6-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8504f131e1

Comment 5 Fedora Update System 2017-11-15 17:47:36 UTC
fontconfig-2.12.6-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2017-11-15 20:18:01 UTC
fontconfig-2.12.6-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.